Index: src/boundary.cpp
===================================================================
--- src/boundary.cpp	(revision caf5d608169807a028a2cd63e1c2eb8962eaa347)
+++ src/boundary.cpp	(revision e4ea462e4975fcf1debaf5bbf7e4ced6f9d55b4d)
@@ -731,114 +919,149 @@
 
   // with A chosen, take each pair B,C and sort
-  if (A != PointsOnBoundary.end()) {
-    B = A;
-    B++;
-    for (; B != PointsOnBoundary.end(); B++) {
-      C = B;
-      C++;
-      for (; C != PointsOnBoundary.end(); C++) {
-        tmp = A->second->node->x.Distance(&B->second->node->x);
-        distance = tmp*tmp;
-        tmp = A->second->node->x.Distance(&C->second->node->x);
-        distance += tmp*tmp;
-        tmp = B->second->node->x.Distance(&C->second->node->x);
-        distance += tmp*tmp;
-        DistanceMMap.insert( DistanceMultiMapPair(distance, pair<PointMap::iterator, PointMap::iterator>(B,C) ) );
-      }
-    }
-  }
-//    // listing distances
-//    *out << Verbose(1) << "Listing DistanceMMap:";
-//    for(DistanceMultiMap::iterator runner = DistanceMMap.begin(); runner != DistanceMMap.end(); runner++) {
-//      *out << " " << runner->first << "(" << *runner->second.first->second << ", " << *runner->second.second->second << ")";
-//    }
-//    *out << endl;
-
+  if (A != PointsOnBoundary.end())
+    {
+      B = A;
+      B++;
+      for (; B != PointsOnBoundary.end(); B++)
+        {
+          C = B;
+          C++;
+          for (; C != PointsOnBoundary.end(); C++)
+            {
+              tmp = A->second->node->x.Distance(&B->second->node->x);
+              distance = tmp * tmp;
+              tmp = A->second->node->x.Distance(&C->second->node->x);
+              distance += tmp * tmp;
+              tmp = B->second->node->x.Distance(&C->second->node->x);
+              distance += tmp * tmp;
+              DistanceMMap.insert(DistanceMultiMapPair(distance, pair<
+                  PointMap::iterator, PointMap::iterator> (B, C)));
+            }
+        }
+    }
+  //    // listing distances
+  //    *out << Verbose(1) << "Listing DistanceMMap:";
+  //    for(DistanceMultiMap::iterator runner = DistanceMMap.begin(); runner != DistanceMMap.end(); runner++) {
+  //      *out << " " << runner->first << "(" << *runner->second.first->second << ", " << *runner->second.second->second << ")";
+  //    }
+  //    *out << endl;
   // 4b2. pick three baselines forming a triangle
   // 1. we take from the smallest sum of squared distance as the base line BC (with peak A) onward as the triangle candidate
   DistanceMultiMap::iterator baseline = DistanceMMap.begin();
-  for (; baseline != DistanceMMap.end(); baseline++) {
-    // we take from the smallest sum of squared distance as the base line BC (with peak A) onward as the triangle candidate
-    // 2. next, we have to check whether all points reside on only one side of the triangle
-    // 3. construct plane vector
-    PlaneVector.MakeNormalVector(&A->second->node->x, &baseline->second.first->second->node->x, &baseline->second.second->second->node->x);
-    *out << Verbose(2) << "Plane vector of candidate triangle is ";
-    PlaneVector.Output(out);
-    *out << endl;
-    // 4. loop over all points
-    double sign = 0.;
-    PointMap::iterator checker = PointsOnBoundary.begin();
-    for (; checker != PointsOnBoundary.end(); checker++) {
-      // (neglecting A,B,C)
-      if ((checker == A) || (checker == baseline->second.first) || (checker == baseline->second.second))
-        continue;
-      // 4a. project onto plane vector
-      TrialVector.CopyVector(&checker->second->node->x);
-      TrialVector.SubtractVector(&A->second->node->x);
-      distance = TrialVector.Projection(&PlaneVector);
-      if (fabs(distance) < 1e-4)  // we need to have a small epsilon around 0 which is still ok
-        continue;
-      *out << Verbose(3) << "Projection of " << checker->second->node->Name << " yields distance of " << distance << "." << endl;
-      tmp = distance/fabs(distance);
-      // 4b. Any have different sign to than before? (i.e. would lie outside convex hull with this starting triangle)
-      if ((sign != 0) && (tmp != sign)) {
-        // 4c. If so, break 4. loop and continue with next candidate in 1. loop
-        *out << Verbose(2) << "Current candidates: " << A->second->node->Name << "," << baseline->second.first->second->node->Name  << "," << baseline->second.second->second->node->Name << " leave " << checker->second->node->Name << " outside the convex hull." << endl;
-        break;
-      } else { // note the sign for later
-        *out << Verbose(2) << "Current candidates: " << A->second->node->Name << "," << baseline->second.first->second->node->Name  << "," << baseline->second.second->second->node->Name << " leave " << checker->second->node->Name << " inside the convex hull." << endl;
-        sign = tmp;
-      }
-      // 4d. Check whether the point is inside the triangle (check distance to each node
-      tmp = checker->second->node->x.Distance(&A->second->node->x);
-      int innerpoint = 0;
-      if ((tmp < A->second->node->x.Distance(&baseline->second.first->second->node->x))
-          && (tmp < A->second->node->x.Distance(&baseline->second.second->second->node->x)))
-        innerpoint++;
-      tmp = checker->second->node->x.Distance(&baseline->second.first->second->node->x);
-      if ((tmp < baseline->second.first->second->node->x.Distance(&A->second->node->x))
-          && (tmp < baseline->second.first->second->node->x.Distance(&baseline->second.second->second->node->x)))
-        innerpoint++;
-      tmp = checker->second->node->x.Distance(&baseline->second.second->second->node->x);
-      if ((tmp < baseline->second.second->second->node->x.Distance(&baseline->second.first->second->node->x))
-          && (tmp < baseline->second.second->second->node->x.Distance(&A->second->node->x)))
-        innerpoint++;
-      // 4e. If so, break 4. loop and continue with next candidate in 1. loop
-      if (innerpoint == 3)
-        break;
-    }
-    // 5. come this far, all on same side? Then break 1. loop and construct triangle
-    if (checker == PointsOnBoundary.end()) {
-      *out << "Looks like we have a candidate!" << endl;
-      break;
-    }
-  }
-  if (baseline != DistanceMMap.end()) {
-    BPS[0] = baseline->second.first->second;
-    BPS[1] = baseline->second.second->second;
-    BLS[0] = new class BoundaryLineSet(BPS , LinesOnBoundaryCount);
-    BPS[0] = A->second;
-    BPS[1] = baseline->second.second->second;
-    BLS[1] = new class BoundaryLineSet(BPS , LinesOnBoundaryCount);
-    BPS[0] = baseline->second.first->second;
-    BPS[1] = A->second;
-    BLS[2] = new class BoundaryLineSet(BPS , LinesOnBoundaryCount);
-
-    // 4b3. insert created triangle
-    BTS = new class BoundaryTriangleSet(BLS, TrianglesOnBoundaryCount);
-    TrianglesOnBoundary.insert( TrianglePair(TrianglesOnBoundaryCount, BTS) );
-    TrianglesOnBoundaryCount++;
-    for(int i=0;i<NDIM;i++) {
-      LinesOnBoundary.insert( LinePair(LinesOnBoundaryCount, BTS->lines[i]) );
-      LinesOnBoundaryCount++;
-    }
-
-    *out << Verbose(1) << "Starting triangle is " << *BTS << "." << endl;
-  } else {
-    *out << Verbose(1) << "No starting triangle found." << endl;
-    exit(255);
-  }
-};
-
+  for (; baseline != DistanceMMap.end(); baseline++)
+    {
+      // we take from the smallest sum of squared distance as the base line BC (with peak A) onward as the triangle candidate
+      // 2. next, we have to check whether all points reside on only one side of the triangle
+      // 3. construct plane vector
+      PlaneVector.MakeNormalVector(&A->second->node->x,
+          &baseline->second.first->second->node->x,
+          &baseline->second.second->second->node->x);
+      *out << Verbose(2) << "Plane vector of candidate triangle is ";
+      PlaneVector.Output(out);
+      *out << endl;
+      // 4. loop over all points
+      double sign = 0.;
+      PointMap::iterator checker = PointsOnBoundary.begin();
+      for (; checker != PointsOnBoundary.end(); checker++)
+        {
+          // (neglecting A,B,C)
+          if ((checker == A) || (checker == baseline->second.first) || (checker
+              == baseline->second.second))
+            continue;
+          // 4a. project onto plane vector
+          TrialVector.CopyVector(&checker->second->node->x);
+          TrialVector.SubtractVector(&A->second->node->x);
+          distance = TrialVector.Projection(&PlaneVector);
+          if (fabs(distance) < 1e-4) // we need to have a small epsilon around 0 which is still ok
+            continue;
+          *out << Verbose(3) << "Projection of " << checker->second->node->Name
+              << " yields distance of " << distance << "." << endl;
+          tmp = distance / fabs(distance);
+          // 4b. Any have different sign to than before? (i.e. would lie outside convex hull with this starting triangle)
+          if ((sign != 0) && (tmp != sign))
+            {
+              // 4c. If so, break 4. loop and continue with next candidate in 1. loop
+              *out << Verbose(2) << "Current candidates: "
+                  << A->second->node->Name << ","
+                  << baseline->second.first->second->node->Name << ","
+                  << baseline->second.second->second->node->Name << " leave "
+                  << checker->second->node->Name << " outside the convex hull."
+                  << endl;
+              break;
+            }
+          else
+            { // note the sign for later
+              *out << Verbose(2) << "Current candidates: "
+                  << A->second->node->Name << ","
+                  << baseline->second.first->second->node->Name << ","
+                  << baseline->second.second->second->node->Name << " leave "
+                  << checker->second->node->Name << " inside the convex hull."
+                  << endl;
+              sign = tmp;
+            }
+          // 4d. Check whether the point is inside the triangle (check distance to each node
+          tmp = checker->second->node->x.Distance(&A->second->node->x);
+          int innerpoint = 0;
+          if ((tmp < A->second->node->x.Distance(
+              &baseline->second.first->second->node->x)) && (tmp
+              < A->second->node->x.Distance(
+                  &baseline->second.second->second->node->x)))
+            innerpoint++;
+          tmp = checker->second->node->x.Distance(
+              &baseline->second.first->second->node->x);
+          if ((tmp < baseline->second.first->second->node->x.Distance(
+              &A->second->node->x)) && (tmp
+              < baseline->second.first->second->node->x.Distance(
+                  &baseline->second.second->second->node->x)))
+            innerpoint++;
+          tmp = checker->second->node->x.Distance(
+              &baseline->second.second->second->node->x);
+          if ((tmp < baseline->second.second->second->node->x.Distance(
+              &baseline->second.first->second->node->x)) && (tmp
+              < baseline->second.second->second->node->x.Distance(
+                  &A->second->node->x)))
+            innerpoint++;
+          // 4e. If so, break 4. loop and continue with next candidate in 1. loop
+          if (innerpoint == 3)
+            break;
+        }
+      // 5. come this far, all on same side? Then break 1. loop and construct triangle
+      if (checker == PointsOnBoundary.end())
+        {
+          *out << "Looks like we have a candidate!" << endl;
+          break;
+        }
+    }
+  if (baseline != DistanceMMap.end())
+    {
+      BPS[0] = baseline->second.first->second;
+      BPS[1] = baseline->second.second->second;
+      BLS[0] = new class BoundaryLineSet(BPS, LinesOnBoundaryCount);
+      BPS[0] = A->second;
+      BPS[1] = baseline->second.second->second;
+      BLS[1] = new class BoundaryLineSet(BPS, LinesOnBoundaryCount);
+      BPS[0] = baseline->second.first->second;
+      BPS[1] = A->second;
+      BLS[2] = new class BoundaryLineSet(BPS, LinesOnBoundaryCount);
+
+      // 4b3. insert created triangle
+      BTS = new class BoundaryTriangleSet(BLS, TrianglesOnBoundaryCount);
+      TrianglesOnBoundary.insert(TrianglePair(TrianglesOnBoundaryCount, BTS));
+      TrianglesOnBoundaryCount++;
+      for (int i = 0; i < NDIM; i++)
+        {
+          LinesOnBoundary.insert(LinePair(LinesOnBoundaryCount, BTS->lines[i]));
+          LinesOnBoundaryCount++;
+        }
+
+      *out << Verbose(1) << "Starting triangle is " << *BTS << "." << endl;
+    }
+  else
+    {
+      *out << Verbose(1) << "No starting triangle found." << endl;
+      exit(255);
+    }
+}
+;
 
 /** Tesselates the convex envelope of a cluster from a single starting triangle.
@@ -855,5 +1078,7 @@
  * \param *mol the cluster as a molecule structure
  */
-void Tesselation::TesselateOnBoundary(ofstream *out, config *configuration, molecule *mol)
+void
+Tesselation::TesselateOnBoundary(ofstream *out, config *configuration,
+    molecule *mol)
 {
   bool flag;
